Qyra
ReferenceUntagged

GitHub OAuth callback

Callback URL for GitHub App Authorization also used for GitHub App Installation with combined Authorization

GET/api/v1/github/oauth/callback

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
codestringNoauthorization code from GitHub
statestringNooauth state parameter
installation_idstringNoinstallation id from GitHub
setup_actionstringNosetup action from GitHub

Responses

204 — No content